%define	name	smalltalk
%define	version	2.1.12
%define	release	%mkrel 3

Summary:	Smalltalk free language implementation
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL & LGPL
Group:		Development/Other
Source0:	ftp://ftp.gnu.org/gnu/smalltalk/%{name}-%{version}.tar.bz2
Patch0:		smalltalk-amd64.patch.bz2
Patch1:		smalltalk-proc.patch.bz2
URL:		http://www.smalltalk.org/
BuildRequires:	gtk+2-devel termcap-devel emacs-bin
BuildRequires:	tcl tcl-devel tk tk-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GNU Smalltalk is a Free (or Open Source) implementation that closely 
follows the Smalltalk-80 language as described in the book Smalltalk-80: 
the Language and its Implementation by Adele Goldberg and David          
Robson. GNUSmalltalk runs on most versions of Unix or Unix like 
systems (GNU/Linux, FreeBSD, etc...).        
There is even a version for commercial operating systems like MS-NT.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure2_5x	
%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/gst-config

%post
%_install_info gst.info

%preun
%_remove_install_info gst.info

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog NEWS README
%{_bindir}/*
%multiarch %{multiarch_bindir}/gst-config
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/emacs/site-lisp/*
%{_datadir}/aclocal/*
%{_libdir}/*
%{_includedir}/*
%{_infodir}/*.info*
%{_mandir}/man1/*

%changelog
* Sun Jun 18 2006 Stefan van der Eijk <stefan@eijk.nu> 2.1.12-3
- rebuild for png
- %%mkrel

* Tue Jan 03 2006 Oden Eriksson <oeriksson@mandriva.com> 2.1.12-2mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Sun Dec 04 2005 Pascal Terjan <pterjan@mandriva.org> 2.1.12-1mdk
- 2.1.12

* Sat Jul 23 2005 Pascal Terjan <pterjan@mandriva.org> 2.1.11-1mdk
- 2.1.11
- stole 2 patches from PLD but their amd64 patch does not fix the loop at the
  end of x86_64 build

* Thu Feb 03 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.1.10-1mdk
- 2.1.10

* Wed Feb  2 2005 Daouda LO <daouda@mandrakesoft.com> 2.1.9-3mdk
- multiarch 

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.1.9-2mdk
- rebuild for new readline

* Tue Nov 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.1.9-1mdk
- 2.1.9
- updated license (as libraries are licensed under LGPL)

* Sat Jan 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.1.7-2mdk
- fix buildrequires

* Sat Jan 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.1.7-1mdk
- 2.1.7
- cosmetics

* Fri Jul 25 2003 Daouda LO <daouda@mandrakesoft.com> 2.1.4-1mdk
- One year release 2.1.4
- fix libtool mess (thanx to fcrozat)

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.95.12-2mdk
- rebuild for new readline

* Thu May  2 2002 Daouda LO <daouda@mandrakesoft.com> 1.95.12-1mdk
- release 1.95.12

* Thu May  2 2002 Daouda LO <daouda@mandrakesoft.com> 1.95.10-1mdk
- release 1.95.10
- fix build

* Fri May 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.95.1-4mdk
- Rebuilt against libltdl.so.3.

* Sun Mar 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.95.1-3mdk
- can use %configure %make %makeinstall macros now, hacks gone
- remove snailtalk brandname from files :) (except static lib)
- add man page
- more %%doc
- add %%dir to %_datadir/gnu-smalltalk
- regenerate image file in %post

* Sun Mar 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.95.1-2mdk
- Remove the references to $RPM_BUILD_ROOT.
- Remove the %%post message.

* Sun Feb 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.95.1-1mdk
- new and shiny source.
- include the static llibrary in /usr/lib.

* Fri Dec 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.8.5-1mdk
- new and shiny source.

* Sun Nov 19 2000 Daouda Lo <daouda@mandrakesoft.com> 1.8.3-1mdk
- first mandrake rpm.

